Package ghidra.program.model.pcode

# Record Class ElementId

java.lang.Object
java.lang.Record
ghidra.program.model.pcode.ElementId

Record Components:
  `name` - unique element name
  `id` - unique element ID

public record ElementId(String name, int id) extends Record
An annotation for a specific collection of hierarchical data This record parallels the XML concept of an element. An ElementId describes a collection of data, where each piece is annotated by a specific AttributeId. In addition, each ElementId can contain zero or more child ElementId objects, forming a hierarchy of annotated data. Each ElementId has a name, which is unique at least within the context of its parent ElementId. Internally this name is associated with an integer id. A special AttributeId ATTRIB_CONTENT is used to label the XML element's text content, which is traditionally not labeled as an attribute.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `COMMAND_GETBYTES`
  `static final int`
  `COMMAND_GETCALLFIXUP`
  `static final int`
  `COMMAND_GETCALLMECH`
  `static final int`
  `COMMAND_GETCALLOTHERFIXUP`
  `static final int`
  `COMMAND_GETCODELABEL`
  `static final int`
  `COMMAND_GETCOMMENTS`
  `static final int`
  `COMMAND_GETCPOOLREF`
  `static final int`
  `COMMAND_GETDATATYPE`
  `static final int`
  `COMMAND_GETEXTERNALREF`
  `static final int`
  `COMMAND_GETMAPPEDSYMBOLS`
  `static final int`
  `COMMAND_GETNAMESPACEPATH`
  `static final int`
  `COMMAND_GETPCODE`
  `static final int`
  `COMMAND_GETPCODEEXECUTABLE`
  `static final int`
  `COMMAND_GETREGISTER`
  `static final int`
  `COMMAND_GETREGISTERNAME`
  `static final int`
  `COMMAND_GETSTRINGDATA`
  `static final int`
  `COMMAND_GETTRACKEDREGISTERS`
  `static final int`
  `COMMAND_GETUSEROPNAME`
  `static final int`
  `COMMAND_ISNAMEUSED`
  `static final ElementId`
  `ELEM_ABSOLUTE_MAX_ALIGNMENT`
  `static final ElementId`
  `ELEM_ADDR`
  `static final ElementId`
  `ELEM_ADDR_PCODE`
  `static final ElementId`
  `ELEM_ADDRESS_SHIFT_AMOUNT`
  `static final ElementId`
  `ELEM_AGGRESSIVETRIM`
  `static final ElementId`
  `ELEM_ALIASBLOCK`
  `static final ElementId`
  `ELEM_ALLOWCONTEXTSET`
  `static final ElementId`
  `ELEM_ANALYZEFORLOOPS`
  `static final ElementId`
  `ELEM_AST`
  `static final ElementId`
  `ELEM_BASICOVERRIDE`
  `static final ElementId`
  `ELEM_BHEAD`
  `static final ElementId`
  `ELEM_BITFIELD_PACKING`
  `static final ElementId`
  `ELEM_BLOCK`
  `static final ElementId`
  `ELEM_BLOCKEDGE`
  `static final ElementId`
  `ELEM_BLOCKSIG`
  `static final ElementId`
  `ELEM_BODY`
  `static final ElementId`
  `ELEM_BRACEFORMAT`
  `static final ElementId`
  `ELEM_BREAK`
  `static final ElementId`
  `ELEM_BYTES`
  `static final ElementId`
  `ELEM_CALL`
  `static final ElementId`
  `ELEM_CALLFIXUP`
  `static final ElementId`
  `ELEM_CALLGRAPH`
  `static final ElementId`
  `ELEM_CALLOTHERFIXUP`
  `static final ElementId`
  `ELEM_CASE_PCODE`
  `static final ElementId`
  `ELEM_CHAR_SIZE`
  `static final ElementId`
  `ELEM_CHAR_TYPE`
  `static final ElementId`
  `ELEM_CLANG_DOCUMENT`
  `static final ElementId`
  `ELEM_COLLISION`
  `static final ElementId`
  `ELEM_COMMAND_GETBYTES`
  `static final ElementId`
  `ELEM_COMMAND_GETCALLFIXUP`
  `static final ElementId`
  `ELEM_COMMAND_GETCALLMECH`
  `static final ElementId`
  `ELEM_COMMAND_GETCALLOTHERFIXUP`
  `static final ElementId`
  `ELEM_COMMAND_GETCODELABEL`
  `static final ElementId`
  `ELEM_COMMAND_GETCOMMENTS`
  `static final ElementId`
  `ELEM_COMMAND_GETCPOOLREF`
  `static final ElementId`
  `ELEM_COMMAND_GETDATATYPE`
  `static final ElementId`
  `ELEM_COMMAND_GETEXTERNALREF`
  `static final ElementId`
  `ELEM_COMMAND_GETMAPPEDSYMBOLS`
  `static final ElementId`
  `ELEM_COMMAND_GETNAMESPACEPATH`
  `static final ElementId`
  `ELEM_COMMAND_GETPCODE`
  `static final ElementId`
  `ELEM_COMMAND_GETPCODEEXECUTABLE`
  `static final ElementId`
  `ELEM_COMMAND_GETREGISTER`
  `static final ElementId`
  `ELEM_COMMAND_GETREGISTERNAME`
  `static final ElementId`
  `ELEM_COMMAND_GETSTRINGDATA`
  `static final ElementId`
  `ELEM_COMMAND_GETTRACKEDREGISTERS`
  `static final ElementId`
  `ELEM_COMMAND_GETUSEROPNAME`
  `static final ElementId`
  `ELEM_COMMAND_ISNAMEUSED`
  `static final ElementId`
  `ELEM_COMMENT`
  `static final ElementId`
  `ELEM_COMMENTDB`
  `static final ElementId`
  `ELEM_COMMENTHEADER`
  `static final ElementId`
  `ELEM_COMMENTINDENT`
  `static final ElementId`
  `ELEM_COMMENTINSTRUCTION`
  `static final ElementId`
  `ELEM_COMMENTSTYLE`
  `static final ElementId`
  `ELEM_COMPILER_SPEC`
  `static final ElementId`
  `ELEM_CONSTANTPOOL`
  `static final ElementId`
  `ELEM_CONSTRESOLVE`
  `static final ElementId`
  `ELEM_CONSUME`
  `static final ElementId`
  `ELEM_CONSUME_EXTRA`
  `static final ElementId`
  `ELEM_CONSUME_REMAINING`
  `static final ElementId`
  `ELEM_CONTEXT`
  `static final ElementId`
  `ELEM_CONTEXT_DATA`
  `static final ElementId`
  `ELEM_CONTEXT_POINTS`
  `static final ElementId`
  `ELEM_CONTEXT_POINTSET`
  `static final ElementId`
  `ELEM_CONTEXT_SET`
  `static final ElementId`
  `ELEM_CONVENTIONPRINTING`
  `static final ElementId`
  `ELEM_CONVERT_TO_PTR`
  `static final ElementId`
  `ELEM_COPYSIG`
  `static final ElementId`
  `ELEM_CORETYPES`
  `static final ElementId`
  `ELEM_CPOOLREC`
  `static final ElementId`
  `ELEM_CURRENTACTION`
  `static final ElementId`
  `ELEM_DATA`
  `static final ElementId`
  `ELEM_DATA_ORGANIZATION`
  `static final ElementId`
  `ELEM_DATA_SPACE`
  `static final ElementId`
  `ELEM_DATATYPE`
  `static final ElementId`
  `ELEM_DATATYPE_AT`
  `static final ElementId`
  `ELEM_DB`
  `static final ElementId`
  `ELEM_DEADCODEDELAY`
  `static final ElementId`
  `ELEM_DEF`
  `static final ElementId`
  `ELEM_DEFAULT_ALIGNMENT`
  `static final ElementId`
  `ELEM_DEFAULT_MEMORY_BLOCKS`
  `static final ElementId`
  `ELEM_DEFAULT_PCODE`
  `static final ElementId`
  `ELEM_DEFAULT_POINTER_ALIGNMENT`
  `static final ElementId`
  `ELEM_DEFAULT_PROTO`
  `static final ElementId`
  `ELEM_DEFAULT_SYMBOLS`
  `static final ElementId`
  `ELEM_DEFAULTPROTOTYPE`
  `static final ElementId`
  `ELEM_DEST`
  `static final ElementId`
  `ELEM_DOC`
  `static final ElementId`
  `ELEM_DOUBLE_SIZE`
  `static final ElementId`
  `ELEM_EDGE`
  `static final ElementId`
  `ELEM_ENTRY`
  `static final ElementId`
  `ELEM_ENUM`
  `static final ElementId`
  `ELEM_EQUATESYMBOL`
  `static final ElementId`
  `ELEM_ERRORREINTERPRETED`
  `static final ElementId`
  `ELEM_ERRORTOOMANYINSTRUCTIONS`
  `static final ElementId`
  `ELEM_ERRORUNIMPLEMENTED`
  `static final ElementId`
  `ELEM_EVAL_CALLED_PROTOTYPE`
  `static final ElementId`
  `ELEM_EVAL_CURRENT_PROTOTYPE`
  `static final ElementId`
  `ELEM_EXPERIMENTAL_RULES`
  `static final ElementId`
  `ELEM_EXTERNREFSYMBOL`
  `static final ElementId`
  `ELEM_EXTRA_STACK`
  `static final ElementId`
  `ELEM_EXTRAPOP`
  `static final ElementId`
  `ELEM_FACETSYMBOL`
  `static final ElementId`
  `ELEM_FIELD`
  `static final ElementId`
  `ELEM_FLOAT_SIZE`
  `static final ElementId`
  `ELEM_FLOW`
  `static final ElementId`
  `ELEM_FLOWOVERRIDELIST`
  `static final ElementId`
  `ELEM_FORCEGOTO`
  `static final ElementId`
  `ELEM_FUNCNAME`
  `static final ElementId`
  `ELEM_FUNCPROTO`
  `static final ElementId`
  `ELEM_FUNCPTR`
  `static final ElementId`
  `ELEM_FUNCTION`
  `static final ElementId`
  `ELEM_FUNCTIONSHELL`
  `static final ElementId`
  `ELEM_GENSIG`
  `static final ElementId`
  `ELEM_GLOBAL`
  `static final ElementId`
  `ELEM_GOTO_STACK`
  `static final ElementId`
  `ELEM_GROUP`
  `static final ElementId`
  `ELEM_HASH`
  `static final ElementId`
  `ELEM_HIDDEN_RETURN`
  `static final ElementId`
  `ELEM_HIGH`
  `static final ElementId`
  `ELEM_HIGHLIST`
  `static final ElementId`
  `ELEM_HOLE`
  `static final ElementId`
  `ELEM_IGNOREUNIMPLEMENTED`
  `static final ElementId`
  `ELEM_INCIDENTALCOPY`
  `static final ElementId`
  `ELEM_INDENTINCREMENT`
  `static final ElementId`
  `ELEM_INDIRECTOVERRIDE`
  `static final ElementId`
  `ELEM_INFERCONSTPTR`
  `static final ElementId`
  `ELEM_INFERPTRBOUNDS`
  `static final ElementId`
  `ELEM_INJECT`
  `static final ElementId`
  `ELEM_INJECTDEBUG`
  `static final ElementId`
  `ELEM_INLINE`
  `static final ElementId`
  `ELEM_INPLACEOPS`
  `static final ElementId`
  `ELEM_INPUT`
  `static final ElementId`
  `ELEM_INST`
  `static final ElementId`
  `ELEM_INTEGER_SIZE`
  `static final ElementId`
  `ELEM_INTEGERFORMAT`
  `static final ElementId`
  `ELEM_INTERNAL_STORAGE`
  `static final ElementId`
  `ELEM_INTERNALLIST`
  `static final ElementId`
  `ELEM_IOP`
  `static final ElementId`
  `ELEM_JOIN`
  `static final ElementId`
  `ELEM_JOIN_DUAL_CLASS`
  `static final ElementId`
  `ELEM_JOIN_PER_PRIMITIVE`
  `static final ElementId`
  `ELEM_JUMPASSIST`
  `static final ElementId`
  `ELEM_JUMPLOAD`
  `static final ElementId`
  `ELEM_JUMPTABLE`
  `static final ElementId`
  `ELEM_JUMPTABLELIST`
  `static final ElementId`
  `ELEM_JUMPTABLEMAX`
  `static final ElementId`
  `ELEM_KILLEDBYCALL`
  `static final ElementId`
  `ELEM_LABEL`
  `static final ElementId`
  `ELEM_LABELSYM`
  `static final ElementId`
  `ELEM_LIKELYTRASH`
  `static final ElementId`
  `ELEM_LOADTABLE`
  `static final ElementId`
  `ELEM_LOCALDB`
  `static final ElementId`
  `ELEM_LOCALRANGE`
  `static final ElementId`
  `ELEM_LONG_DOUBLE_SIZE`
  `static final ElementId`
  `ELEM_LONG_LONG_SIZE`
  `static final ElementId`
  `ELEM_LONG_SIZE`
  `static final ElementId`
  `ELEM_MACHINE_ALIGNMENT`
  `static final ElementId`
  `ELEM_MAJOR`
  `static final ElementId`
  `ELEM_MAPSYM`
  `static final ElementId`
  `ELEM_MAXINSTRUCTION`
  `static final ElementId`
  `ELEM_MAXLINEWIDTH`
  `static final ElementId`
  `ELEM_MINOR`
  `static final ElementId`
  `ELEM_MODEL`
  `static final ElementId`
  `ELEM_MODELALIAS`
  `static final ElementId`
  `ELEM_MULTISTAGEJUMP`
  `static final ElementId`
  `ELEM_NAMESPACESTRATEGY`
  `static final ElementId`
  `ELEM_NANIGNORE`
  `static final ElementId`
  `ELEM_NOCASTPRINTING`
  `static final ElementId`
  `ELEM_NODE`
  `static final ElementId`
  `ELEM_NOHIGHPTR`
  `static final ElementId`
  `ELEM_NORETURN`
  `static final ElementId`
  `ELEM_NORMADDR`
  `static final ElementId`
  `ELEM_NORMHASH`
  `static final ElementId`
  `ELEM_NULLPRINTING`
  `static final ElementId`
  `ELEM_OFF`
  `static final ElementId`
  `ELEM_OP`
  `static final ElementId`
  `ELEM_OPTIONSLIST`
  `static final ElementId`
  `ELEM_OUTPUT`
  `static final ElementId`
  `ELEM_OVERRIDE`
  `static final ElementId`
  `ELEM_PARAM`
  `static final ElementId`
  `ELEM_PARAM1`
  `static final ElementId`
  `ELEM_PARAM2`
  `static final ElementId`
  `ELEM_PARAM3`
  `static final ElementId`
  `ELEM_PARAMMEASURES`
  `static final ElementId`
  `ELEM_PARAMRANGE`
  `static final ElementId`
  `ELEM_PARENT`
  `static final ElementId`
  `ELEM_PAYLOAD`
  `static final ElementId`
  `ELEM_PCODE`
  `static final ElementId`
  `ELEM_PENTRY`
  `static final ElementId`
  `ELEM_POINTER_SHIFT`
  `static final ElementId`
  `ELEM_POINTER_SIZE`
  `static final ElementId`
  `ELEM_POSITION`
  `static final ElementId`
  `ELEM_PREFERSPLIT`
  `static final ElementId`
  `ELEM_PROCESSOR_SPEC`
  `static final ElementId`
  `ELEM_PROGRAMCOUNTER`
  `static final ElementId`
  `ELEM_PROPERTIES`
  `static final ElementId`
  `ELEM_PROPERTY`
  `static final ElementId`
  `ELEM_PROPERTY_CHANGEPOINT`
  `static final ElementId`
  `ELEM_PROTO`
  `static final ElementId`
  `ELEM_PROTOEVAL`
  `static final ElementId`
  `ELEM_PROTOOVERRIDE`
  `static final ElementId`
  `ELEM_PROTOTYPE`
  `static final ElementId`
  `ELEM_RANGE`
  `static final ElementId`
  `ELEM_RANGEEQUALSSYMBOLS`
  `static final ElementId`
  `ELEM_RANGELIST`
  `static final ElementId`
  `ELEM_RANK`
  `static final ElementId`
  `ELEM_READONLY`
  `static final ElementId`
  `ELEM_REF`
  `static final ElementId`
  `ELEM_REGISTER`
  `static final ElementId`
  `ELEM_REGISTER_DATA`
  `static final ElementId`
  `ELEM_RESOLVEPROTOTYPE`
  `static final ElementId`
  `ELEM_RETPARAM`
  `static final ElementId`
  `ELEM_RETURN_TYPE`
  `static final ElementId`
  `ELEM_RETURNADDRESS`
  `static final ElementId`
  `ELEM_RETURNSYM`
  `static final ElementId`
  `ELEM_RULE`
  `static final ElementId`
  `ELEM_SAVE_STATE`
  `static final ElementId`
  `ELEM_SCOPE`
  `static final ElementId`
  `ELEM_SEGMENTED_ADDRESS`
  `static final ElementId`
  `ELEM_SEGMENTOP`
  `static final ElementId`
  `ELEM_SEQNUM`
  `static final ElementId`
  `ELEM_SET`
  `static final ElementId`
  `ELEM_SETACTION`
  `static final ElementId`
  `ELEM_SETLANGUAGE`
  `static final ElementId`
  `ELEM_SETTINGS`
  `static final ElementId`
  `ELEM_SHORT_SIZE`
  `static final ElementId`
  `ELEM_SIG`
  `static final ElementId`
  `ELEM_SIGNATUREDESC`
  `static final ElementId`
  `ELEM_SIGNATURES`
  `static final ElementId`
  `ELEM_SIGSETTINGS`
  `static final ElementId`
  `ELEM_SIZE_ALIGNMENT_MAP`
  `static final ElementId`
  `ELEM_SIZE_PCODE`
  `static final ElementId`
  `ELEM_SLEIGH`
  `static final ElementId`
  `ELEM_SPACE`
  `static final ElementId`
  `ELEM_SPACE_BASE`
  `static final ElementId`
  `ELEM_SPACE_OTHER`
  `static final ElementId`
  `ELEM_SPACE_OVERLAY`
  `static final ElementId`
  `ELEM_SPACE_UNIQUE`
  `static final ElementId`
  `ELEM_SPACEBASE`
  `static final ElementId`
  `ELEM_SPACEID`
  `static final ElementId`
  `ELEM_SPACES`
  `static final ElementId`
  `ELEM_SPECEXTENSIONS`
  `static final ElementId`
  `ELEM_SPLITDATATYPE`
  `static final ElementId`
  `ELEM_STACKPOINTER`
  `static final ElementId`
  `ELEM_STARTVAL`
  `static final ElementId`
  `ELEM_STATEMENT`
  `static final ElementId`
  `ELEM_STRING`
  `static final ElementId`
  `ELEM_STRINGMANAGE`
  `static final ElementId`
  `ELEM_STRUCTALIGN`
  `static final ElementId`
  `ELEM_SYMBOL`
  `static final ElementId`
  `ELEM_SYMBOLLIST`
  `static final ElementId`
  `ELEM_SYNTAX`
  `static final ElementId`
  `ELEM_TARGET`
  `static final ElementId`
  `ELEM_TEXT`
  `static final ElementId`
  `ELEM_TOGGLERULE`
  `static final ElementId`
  `ELEM_TOKEN`
  `static final ElementId`
  `ELEM_TRACKED_POINTSET`
  `static final ElementId`
  `ELEM_TRACKED_SET`
  `static final ElementId`
  `ELEM_TRUNCATE_SPACE`
  `static final ElementId`
  `ELEM_TYPE`
  `static final ElementId`
  `ELEM_TYPE_ALIGNMENT_ENABLED`
  `static final ElementId`
  `ELEM_TYPEGRP`
  `static final ElementId`
  `ELEM_TYPEREF`
  `static final ElementId`
  `ELEM_UNAFFECTED`
  `static final ElementId`
  `ELEM_UNIMPL`
  `static final ElementId`
  `ELEM_UNKNOWN`
  `static final ElementId`
  `ELEM_USE_MS_CONVENTION`
  `static final ElementId`
  `ELEM_VAL`
  `static final ElementId`
  `ELEM_VALUE`
  `static final ElementId`
  `ELEM_VARARGS`
  `static final ElementId`
  `ELEM_VARDECL`
  `static final ElementId`
  `ELEM_VARIABLE`
  `static final ElementId`
  `ELEM_VARNODE`
  `static final ElementId`
  `ELEM_VARNODES`
  `static final ElementId`
  `ELEM_VARSIG`
  `static final ElementId`
  `ELEM_VOID`
  `static final ElementId`
  `ELEM_VOLATILE`
  `static final ElementId`
  `ELEM_WARNING`
  `static final ElementId`
  `ELEM_WCHAR_SIZE`
  `static final ElementId`
  `ELEM_ZERO_LENGTH_BOUNDARY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ElementId(String name, int id)`
  Creates an instance of a `ElementId` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `int`
  `id()`
  Returns the value of the `id` record component.
  `String`
  `name()`
  Returns the value of the `name` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### ELEM_DATA

    public static final ElementId ELEM_DATA

  - ### ELEM_INPUT

    public static final ElementId ELEM_INPUT

  - ### ELEM_OFF

    public static final ElementId ELEM_OFF

  - ### ELEM_OUTPUT

    public static final ElementId ELEM_OUTPUT

  - ### ELEM_RETURNADDRESS

    public static final ElementId ELEM_RETURNADDRESS

  - ### ELEM_SYMBOL

    public static final ElementId ELEM_SYMBOL

  - ### ELEM_TARGET

    public static final ElementId ELEM_TARGET

  - ### ELEM_VAL

    public static final ElementId ELEM_VAL

  - ### ELEM_VALUE

    public static final ElementId ELEM_VALUE

  - ### ELEM_VOID

    public static final ElementId ELEM_VOID

  - ### ELEM_ADDR

    public static final ElementId ELEM_ADDR

  - ### ELEM_RANGE

    public static final ElementId ELEM_RANGE

  - ### ELEM_RANGELIST

    public static final ElementId ELEM_RANGELIST

  - ### ELEM_REGISTER

    public static final ElementId ELEM_REGISTER

  - ### ELEM_SEQNUM

    public static final ElementId ELEM_SEQNUM

  - ### ELEM_VARNODE

    public static final ElementId ELEM_VARNODE

  - ### ELEM_BREAK

    public static final ElementId ELEM_BREAK

  - ### ELEM_CLANG_DOCUMENT

    public static final ElementId ELEM_CLANG_DOCUMENT

  - ### ELEM_FUNCNAME

    public static final ElementId ELEM_FUNCNAME

  - ### ELEM_FUNCPROTO

    public static final ElementId ELEM_FUNCPROTO

  - ### ELEM_LABEL

    public static final ElementId ELEM_LABEL

  - ### ELEM_RETURN_TYPE

    public static final ElementId ELEM_RETURN_TYPE

  - ### ELEM_STATEMENT

    public static final ElementId ELEM_STATEMENT

  - ### ELEM_SYNTAX

    public static final ElementId ELEM_SYNTAX

  - ### ELEM_VARDECL

    public static final ElementId ELEM_VARDECL

  - ### ELEM_VARIABLE

    public static final ElementId ELEM_VARIABLE

  - ### ELEM_OP

    public static final ElementId ELEM_OP

  - ### ELEM_SLEIGH

    public static final ElementId ELEM_SLEIGH

  - ### ELEM_SPACE

    public static final ElementId ELEM_SPACE

  - ### ELEM_SPACEID

    public static final ElementId ELEM_SPACEID

  - ### ELEM_SPACES

    public static final ElementId ELEM_SPACES

  - ### ELEM_SPACE_BASE

    public static final ElementId ELEM_SPACE_BASE

  - ### ELEM_SPACE_OTHER

    public static final ElementId ELEM_SPACE_OTHER

  - ### ELEM_SPACE_OVERLAY

    public static final ElementId ELEM_SPACE_OVERLAY

  - ### ELEM_SPACE_UNIQUE

    public static final ElementId ELEM_SPACE_UNIQUE

  - ### ELEM_TRUNCATE_SPACE

    public static final ElementId ELEM_TRUNCATE_SPACE

  - ### ELEM_ABSOLUTE_MAX_ALIGNMENT

    public static final ElementId ELEM_ABSOLUTE_MAX_ALIGNMENT

  - ### ELEM_BITFIELD_PACKING

    public static final ElementId ELEM_BITFIELD_PACKING

  - ### ELEM_CHAR_SIZE

    public static final ElementId ELEM_CHAR_SIZE

  - ### ELEM_CHAR_TYPE

    public static final ElementId ELEM_CHAR_TYPE

  - ### ELEM_CORETYPES

    public static final ElementId ELEM_CORETYPES

  - ### ELEM_DATA_ORGANIZATION

    public static final ElementId ELEM_DATA_ORGANIZATION

  - ### ELEM_DEF

    public static final ElementId ELEM_DEF

  - ### ELEM_DEFAULT_ALIGNMENT

    public static final ElementId ELEM_DEFAULT_ALIGNMENT

  - ### ELEM_DEFAULT_POINTER_ALIGNMENT

    public static final ElementId ELEM_DEFAULT_POINTER_ALIGNMENT

  - ### ELEM_DOUBLE_SIZE

    public static final ElementId ELEM_DOUBLE_SIZE

  - ### ELEM_ENTRY

    public static final ElementId ELEM_ENTRY

  - ### ELEM_ENUM

    public static final ElementId ELEM_ENUM

  - ### ELEM_FIELD

    public static final ElementId ELEM_FIELD

  - ### ELEM_FLOAT_SIZE

    public static final ElementId ELEM_FLOAT_SIZE

  - ### ELEM_INTEGER_SIZE

    public static final ElementId ELEM_INTEGER_SIZE

  - ### ELEM_LONG_DOUBLE_SIZE

    public static final ElementId ELEM_LONG_DOUBLE_SIZE

  - ### ELEM_LONG_LONG_SIZE

    public static final ElementId ELEM_LONG_LONG_SIZE

  - ### ELEM_LONG_SIZE

    public static final ElementId ELEM_LONG_SIZE

  - ### ELEM_MACHINE_ALIGNMENT

    public static final ElementId ELEM_MACHINE_ALIGNMENT

  - ### ELEM_POINTER_SHIFT

    public static final ElementId ELEM_POINTER_SHIFT

  - ### ELEM_POINTER_SIZE

    public static final ElementId ELEM_POINTER_SIZE

  - ### ELEM_SHORT_SIZE

    public static final ElementId ELEM_SHORT_SIZE

  - ### ELEM_SIZE_ALIGNMENT_MAP

    public static final ElementId ELEM_SIZE_ALIGNMENT_MAP

  - ### ELEM_TYPE

    public static final ElementId ELEM_TYPE

  - ### ELEM_TYPE_ALIGNMENT_ENABLED

    public static final ElementId ELEM_TYPE_ALIGNMENT_ENABLED

  - ### ELEM_TYPEGRP

    public static final ElementId ELEM_TYPEGRP

  - ### ELEM_TYPEREF

    public static final ElementId ELEM_TYPEREF

  - ### ELEM_USE_MS_CONVENTION

    public static final ElementId ELEM_USE_MS_CONVENTION

  - ### ELEM_WCHAR_SIZE

    public static final ElementId ELEM_WCHAR_SIZE

  - ### ELEM_ZERO_LENGTH_BOUNDARY

    public static final ElementId ELEM_ZERO_LENGTH_BOUNDARY

  - ### ELEM_COLLISION

    public static final ElementId ELEM_COLLISION

  - ### ELEM_DB

    public static final ElementId ELEM_DB

  - ### ELEM_EQUATESYMBOL

    public static final ElementId ELEM_EQUATESYMBOL

  - ### ELEM_EXTERNREFSYMBOL

    public static final ElementId ELEM_EXTERNREFSYMBOL

  - ### ELEM_FACETSYMBOL

    public static final ElementId ELEM_FACETSYMBOL

  - ### ELEM_FUNCTIONSHELL

    public static final ElementId ELEM_FUNCTIONSHELL

  - ### ELEM_HASH

    public static final ElementId ELEM_HASH

  - ### ELEM_HOLE

    public static final ElementId ELEM_HOLE

  - ### ELEM_LABELSYM

    public static final ElementId ELEM_LABELSYM

  - ### ELEM_MAPSYM

    public static final ElementId ELEM_MAPSYM

  - ### ELEM_PARENT

    public static final ElementId ELEM_PARENT

  - ### ELEM_PROPERTY_CHANGEPOINT

    public static final ElementId ELEM_PROPERTY_CHANGEPOINT

  - ### ELEM_RANGEEQUALSSYMBOLS

    public static final ElementId ELEM_RANGEEQUALSSYMBOLS

  - ### ELEM_SCOPE

    public static final ElementId ELEM_SCOPE

  - ### ELEM_SYMBOLLIST

    public static final ElementId ELEM_SYMBOLLIST

  - ### ELEM_HIGH

    public static final ElementId ELEM_HIGH

  - ### ELEM_BYTES

    public static final ElementId ELEM_BYTES

  - ### ELEM_STRING

    public static final ElementId ELEM_STRING

  - ### ELEM_STRINGMANAGE

    public static final ElementId ELEM_STRINGMANAGE

  - ### ELEM_COMMENT

    public static final ElementId ELEM_COMMENT

  - ### ELEM_COMMENTDB

    public static final ElementId ELEM_COMMENTDB

  - ### ELEM_TEXT

    public static final ElementId ELEM_TEXT

  - ### ELEM_ADDR_PCODE

    public static final ElementId ELEM_ADDR_PCODE

  - ### ELEM_BODY

    public static final ElementId ELEM_BODY

  - ### ELEM_CALLFIXUP

    public static final ElementId ELEM_CALLFIXUP

  - ### ELEM_CALLOTHERFIXUP

    public static final ElementId ELEM_CALLOTHERFIXUP

  - ### ELEM_CASE_PCODE

    public static final ElementId ELEM_CASE_PCODE

  - ### ELEM_CONTEXT

    public static final ElementId ELEM_CONTEXT

  - ### ELEM_DEFAULT_PCODE

    public static final ElementId ELEM_DEFAULT_PCODE

  - ### ELEM_INJECT

    public static final ElementId ELEM_INJECT

  - ### ELEM_INJECTDEBUG

    public static final ElementId ELEM_INJECTDEBUG

  - ### ELEM_INST

    public static final ElementId ELEM_INST

  - ### ELEM_PAYLOAD

    public static final ElementId ELEM_PAYLOAD

  - ### ELEM_PCODE

    public static final ElementId ELEM_PCODE

  - ### ELEM_SIZE_PCODE

    public static final ElementId ELEM_SIZE_PCODE

  - ### ELEM_BHEAD

    public static final ElementId ELEM_BHEAD

  - ### ELEM_BLOCK

    public static final ElementId ELEM_BLOCK

  - ### ELEM_BLOCKEDGE

    public static final ElementId ELEM_BLOCKEDGE

  - ### ELEM_EDGE

    public static final ElementId ELEM_EDGE

  - ### ELEM_PARAMMEASURES

    public static final ElementId ELEM_PARAMMEASURES

  - ### ELEM_PROTO

    public static final ElementId ELEM_PROTO

  - ### ELEM_RANK

    public static final ElementId ELEM_RANK

  - ### ELEM_CONSTANTPOOL

    public static final ElementId ELEM_CONSTANTPOOL

  - ### ELEM_CPOOLREC

    public static final ElementId ELEM_CPOOLREC

  - ### ELEM_REF

    public static final ElementId ELEM_REF

  - ### ELEM_TOKEN

    public static final ElementId ELEM_TOKEN

  - ### ELEM_IOP

    public static final ElementId ELEM_IOP

  - ### ELEM_UNIMPL

    public static final ElementId ELEM_UNIMPL

  - ### ELEM_AST

    public static final ElementId ELEM_AST

  - ### ELEM_FUNCTION

    public static final ElementId ELEM_FUNCTION

  - ### ELEM_HIGHLIST

    public static final ElementId ELEM_HIGHLIST

  - ### ELEM_JUMPTABLELIST

    public static final ElementId ELEM_JUMPTABLELIST

  - ### ELEM_VARNODES

    public static final ElementId ELEM_VARNODES

  - ### ELEM_CONTEXT_DATA

    public static final ElementId ELEM_CONTEXT_DATA

  - ### ELEM_CONTEXT_POINTS

    public static final ElementId ELEM_CONTEXT_POINTS

  - ### ELEM_CONTEXT_POINTSET

    public static final ElementId ELEM_CONTEXT_POINTSET

  - ### ELEM_CONTEXT_SET

    public static final ElementId ELEM_CONTEXT_SET

  - ### ELEM_SET

    public static final ElementId ELEM_SET

  - ### ELEM_TRACKED_POINTSET

    public static final ElementId ELEM_TRACKED_POINTSET

  - ### ELEM_TRACKED_SET

    public static final ElementId ELEM_TRACKED_SET

  - ### ELEM_CONSTRESOLVE

    public static final ElementId ELEM_CONSTRESOLVE

  - ### ELEM_JUMPASSIST

    public static final ElementId ELEM_JUMPASSIST

  - ### ELEM_SEGMENTOP

    public static final ElementId ELEM_SEGMENTOP

  - ### ELEM_ADDRESS_SHIFT_AMOUNT

    public static final ElementId ELEM_ADDRESS_SHIFT_AMOUNT

  - ### ELEM_AGGRESSIVETRIM

    public static final ElementId ELEM_AGGRESSIVETRIM

  - ### ELEM_COMPILER_SPEC

    public static final ElementId ELEM_COMPILER_SPEC

  - ### ELEM_DATA_SPACE

    public static final ElementId ELEM_DATA_SPACE

  - ### ELEM_DEFAULT_MEMORY_BLOCKS

    public static final ElementId ELEM_DEFAULT_MEMORY_BLOCKS

  - ### ELEM_DEFAULT_PROTO

    public static final ElementId ELEM_DEFAULT_PROTO

  - ### ELEM_DEFAULT_SYMBOLS

    public static final ElementId ELEM_DEFAULT_SYMBOLS

  - ### ELEM_EVAL_CALLED_PROTOTYPE

    public static final ElementId ELEM_EVAL_CALLED_PROTOTYPE

  - ### ELEM_EVAL_CURRENT_PROTOTYPE

    public static final ElementId ELEM_EVAL_CURRENT_PROTOTYPE

  - ### ELEM_EXPERIMENTAL_RULES

    public static final ElementId ELEM_EXPERIMENTAL_RULES

  - ### ELEM_FLOWOVERRIDELIST

    public static final ElementId ELEM_FLOWOVERRIDELIST

  - ### ELEM_FUNCPTR

    public static final ElementId ELEM_FUNCPTR

  - ### ELEM_GLOBAL

    public static final ElementId ELEM_GLOBAL

  - ### ELEM_INCIDENTALCOPY

    public static final ElementId ELEM_INCIDENTALCOPY

  - ### ELEM_INFERPTRBOUNDS

    public static final ElementId ELEM_INFERPTRBOUNDS

  - ### ELEM_MODELALIAS

    public static final ElementId ELEM_MODELALIAS

  - ### ELEM_NOHIGHPTR

    public static final ElementId ELEM_NOHIGHPTR

  - ### ELEM_PROCESSOR_SPEC

    public static final ElementId ELEM_PROCESSOR_SPEC

  - ### ELEM_PROGRAMCOUNTER

    public static final ElementId ELEM_PROGRAMCOUNTER

  - ### ELEM_PROPERTIES

    public static final ElementId ELEM_PROPERTIES

  - ### ELEM_PROPERTY

    public static final ElementId ELEM_PROPERTY

  - ### ELEM_READONLY

    public static final ElementId ELEM_READONLY

  - ### ELEM_REGISTER_DATA

    public static final ElementId ELEM_REGISTER_DATA

  - ### ELEM_RULE

    public static final ElementId ELEM_RULE

  - ### ELEM_SAVE_STATE

    public static final ElementId ELEM_SAVE_STATE

  - ### ELEM_SEGMENTED_ADDRESS

    public static final ElementId ELEM_SEGMENTED_ADDRESS

  - ### ELEM_SPACEBASE

    public static final ElementId ELEM_SPACEBASE

  - ### ELEM_SPECEXTENSIONS

    public static final ElementId ELEM_SPECEXTENSIONS

  - ### ELEM_STACKPOINTER

    public static final ElementId ELEM_STACKPOINTER

  - ### ELEM_VOLATILE

    public static final ElementId ELEM_VOLATILE

  - ### ELEM_GROUP

    public static final ElementId ELEM_GROUP

  - ### ELEM_INTERNALLIST

    public static final ElementId ELEM_INTERNALLIST

  - ### ELEM_KILLEDBYCALL

    public static final ElementId ELEM_KILLEDBYCALL

  - ### ELEM_LIKELYTRASH

    public static final ElementId ELEM_LIKELYTRASH

  - ### ELEM_LOCALRANGE

    public static final ElementId ELEM_LOCALRANGE

  - ### ELEM_MODEL

    public static final ElementId ELEM_MODEL

  - ### ELEM_PARAM

    public static final ElementId ELEM_PARAM

  - ### ELEM_PARAMRANGE

    public static final ElementId ELEM_PARAMRANGE

  - ### ELEM_PENTRY

    public static final ElementId ELEM_PENTRY

  - ### ELEM_PROTOTYPE

    public static final ElementId ELEM_PROTOTYPE

  - ### ELEM_RESOLVEPROTOTYPE

    public static final ElementId ELEM_RESOLVEPROTOTYPE

  - ### ELEM_RETPARAM

    public static final ElementId ELEM_RETPARAM

  - ### ELEM_RETURNSYM

    public static final ElementId ELEM_RETURNSYM

  - ### ELEM_UNAFFECTED

    public static final ElementId ELEM_UNAFFECTED

  - ### ELEM_INTERNAL_STORAGE

    public static final ElementId ELEM_INTERNAL_STORAGE

  - ### ELEM_ALIASBLOCK

    public static final ElementId ELEM_ALIASBLOCK

  - ### ELEM_ALLOWCONTEXTSET

    public static final ElementId ELEM_ALLOWCONTEXTSET

  - ### ELEM_ANALYZEFORLOOPS

    public static final ElementId ELEM_ANALYZEFORLOOPS

  - ### ELEM_COMMENTHEADER

    public static final ElementId ELEM_COMMENTHEADER

  - ### ELEM_COMMENTINDENT

    public static final ElementId ELEM_COMMENTINDENT

  - ### ELEM_COMMENTINSTRUCTION

    public static final ElementId ELEM_COMMENTINSTRUCTION

  - ### ELEM_COMMENTSTYLE

    public static final ElementId ELEM_COMMENTSTYLE

  - ### ELEM_CONVENTIONPRINTING

    public static final ElementId ELEM_CONVENTIONPRINTING

  - ### ELEM_CURRENTACTION

    public static final ElementId ELEM_CURRENTACTION

  - ### ELEM_DEFAULTPROTOTYPE

    public static final ElementId ELEM_DEFAULTPROTOTYPE

  - ### ELEM_ERRORREINTERPRETED

    public static final ElementId ELEM_ERRORREINTERPRETED

  - ### ELEM_ERRORTOOMANYINSTRUCTIONS

    public static final ElementId ELEM_ERRORTOOMANYINSTRUCTIONS

  - ### ELEM_ERRORUNIMPLEMENTED

    public static final ElementId ELEM_ERRORUNIMPLEMENTED

  - ### ELEM_EXTRAPOP

    public static final ElementId ELEM_EXTRAPOP

  - ### ELEM_IGNOREUNIMPLEMENTED

    public static final ElementId ELEM_IGNOREUNIMPLEMENTED

  - ### ELEM_INDENTINCREMENT

    public static final ElementId ELEM_INDENTINCREMENT

  - ### ELEM_INFERCONSTPTR

    public static final ElementId ELEM_INFERCONSTPTR

  - ### ELEM_INLINE

    public static final ElementId ELEM_INLINE

  - ### ELEM_INPLACEOPS

    public static final ElementId ELEM_INPLACEOPS

  - ### ELEM_INTEGERFORMAT

    public static final ElementId ELEM_INTEGERFORMAT

  - ### ELEM_JUMPLOAD

    public static final ElementId ELEM_JUMPLOAD

  - ### ELEM_MAXINSTRUCTION

    public static final ElementId ELEM_MAXINSTRUCTION

  - ### ELEM_MAXLINEWIDTH

    public static final ElementId ELEM_MAXLINEWIDTH

  - ### ELEM_NAMESPACESTRATEGY

    public static final ElementId ELEM_NAMESPACESTRATEGY

  - ### ELEM_NOCASTPRINTING

    public static final ElementId ELEM_NOCASTPRINTING

  - ### ELEM_NORETURN

    public static final ElementId ELEM_NORETURN

  - ### ELEM_NULLPRINTING

    public static final ElementId ELEM_NULLPRINTING

  - ### ELEM_OPTIONSLIST

    public static final ElementId ELEM_OPTIONSLIST

  - ### ELEM_PARAM1

    public static final ElementId ELEM_PARAM1

  - ### ELEM_PARAM2

    public static final ElementId ELEM_PARAM2

  - ### ELEM_PARAM3

    public static final ElementId ELEM_PARAM3

  - ### ELEM_PROTOEVAL

    public static final ElementId ELEM_PROTOEVAL

  - ### ELEM_SETACTION

    public static final ElementId ELEM_SETACTION

  - ### ELEM_SETLANGUAGE

    public static final ElementId ELEM_SETLANGUAGE

  - ### ELEM_STRUCTALIGN

    public static final ElementId ELEM_STRUCTALIGN

  - ### ELEM_TOGGLERULE

    public static final ElementId ELEM_TOGGLERULE

  - ### ELEM_WARNING

    public static final ElementId ELEM_WARNING

  - ### ELEM_BRACEFORMAT

    public static final ElementId ELEM_BRACEFORMAT

  - ### ELEM_BASICOVERRIDE

    public static final ElementId ELEM_BASICOVERRIDE

  - ### ELEM_DEST

    public static final ElementId ELEM_DEST

  - ### ELEM_JUMPTABLE

    public static final ElementId ELEM_JUMPTABLE

  - ### ELEM_LOADTABLE

    public static final ElementId ELEM_LOADTABLE

  - ### ELEM_NORMADDR

    public static final ElementId ELEM_NORMADDR

  - ### ELEM_NORMHASH

    public static final ElementId ELEM_NORMHASH

  - ### ELEM_STARTVAL

    public static final ElementId ELEM_STARTVAL

  - ### ELEM_DEADCODEDELAY

    public static final ElementId ELEM_DEADCODEDELAY

  - ### ELEM_FLOW

    public static final ElementId ELEM_FLOW

  - ### ELEM_FORCEGOTO

    public static final ElementId ELEM_FORCEGOTO

  - ### ELEM_INDIRECTOVERRIDE

    public static final ElementId ELEM_INDIRECTOVERRIDE

  - ### ELEM_MULTISTAGEJUMP

    public static final ElementId ELEM_MULTISTAGEJUMP

  - ### ELEM_OVERRIDE

    public static final ElementId ELEM_OVERRIDE

  - ### ELEM_PROTOOVERRIDE

    public static final ElementId ELEM_PROTOOVERRIDE

  - ### ELEM_PREFERSPLIT

    public static final ElementId ELEM_PREFERSPLIT

  - ### ELEM_CALLGRAPH

    public static final ElementId ELEM_CALLGRAPH

  - ### ELEM_NODE

    public static final ElementId ELEM_NODE

  - ### ELEM_LOCALDB

    public static final ElementId ELEM_LOCALDB

  - ### ELEM_DOC

    public static final ElementId ELEM_DOC

  - ### COMMAND_ISNAMEUSED

    public static final int COMMAND_ISNAMEUSED
    See Also:
      - Constant Field Values

  - ### ELEM_COMMAND_ISNAMEUSED

    public static final ElementId ELEM_COMMAND_ISNAMEUSED

  - ### COMMAND_GETBYTES

    public static final int COMMAND_GETBYTES
    See Also:
      - Constant Field Values

  - ### ELEM_COMMAND_GETBYTES

    public static final ElementId ELEM_COMMAND_GETBYTES

  - ### COMMAND_GETCALLFIXUP

    public static final int COMMAND_GETCALLFIXUP
    See Also:
      - Constant Field Values

  - ### ELEM_COMMAND_GETCALLFIXUP

    public static final ElementId ELEM_COMMAND_GETCALLFIXUP

  - ### COMMAND_GETCALLMECH

    public static final int COMMAND_GETCALLMECH
    See Also:
      - Constant Field Values

  - ### ELEM_COMMAND_GETCALLMECH

    public static final ElementId ELEM_COMMAND_GETCALLMECH

  - ### COMMAND_GETCALLOTHERFIXUP

    public static final int COMMAND_GETCALLOTHERFIXUP
    See Also:
      - Constant Field Values

  - ### ELEM_COMMAND_GETCALLOTHERFIXUP

    public static final ElementId ELEM_COMMAND_GETCALLOTHERFIXUP

  - ### COMMAND_GETCODELABEL

    public static final int COMMAND_GETCODELABEL
    See Also:
      - Constant Field Values

  - ### ELEM_COMMAND_GETCODELABEL

    public static final ElementId ELEM_COMMAND_GETCODELABEL

  - ### COMMAND_GETCOMMENTS

    public static final int COMMAND_GETCOMMENTS
    See Also:
      - Constant Field Values

  - ### ELEM_COMMAND_GETCOMMENTS

    public static final ElementId ELEM_COMMAND_GETCOMMENTS

  - ### COMMAND_GETCPOOLREF

    public static final int COMMAND_GETCPOOLREF
    See Also:
      - Constant Field Values

  - ### ELEM_COMMAND_GETCPOOLREF

    public static final ElementId ELEM_COMMAND_GETCPOOLREF

  - ### COMMAND_GETDATATYPE

    public static final int COMMAND_GETDATATYPE
    See Also:
      - Constant Field Values

  - ### ELEM_COMMAND_GETDATATYPE

    public static final ElementId ELEM_COMMAND_GETDATATYPE

  - ### COMMAND_GETEXTERNALREF

    public static final int COMMAND_GETEXTERNALREF
    See Also:
      - Constant Field Values

  - ### ELEM_COMMAND_GETEXTERNALREF

    public static final ElementId ELEM_COMMAND_GETEXTERNALREF

  - ### COMMAND_GETMAPPEDSYMBOLS

    public static final int COMMAND_GETMAPPEDSYMBOLS
    See Also:
      - Constant Field Values

  - ### ELEM_COMMAND_GETMAPPEDSYMBOLS

    public static final ElementId ELEM_COMMAND_GETMAPPEDSYMBOLS

  - ### COMMAND_GETNAMESPACEPATH

    public static final int COMMAND_GETNAMESPACEPATH
    See Also:
      - Constant Field Values

  - ### ELEM_COMMAND_GETNAMESPACEPATH

    public static final ElementId ELEM_COMMAND_GETNAMESPACEPATH

  - ### COMMAND_GETPCODE

    public static final int COMMAND_GETPCODE
    See Also:
      - Constant Field Values

  - ### ELEM_COMMAND_GETPCODE

    public static final ElementId ELEM_COMMAND_GETPCODE

  - ### COMMAND_GETPCODEEXECUTABLE

    public static final int COMMAND_GETPCODEEXECUTABLE
    See Also:
      - Constant Field Values

  - ### ELEM_COMMAND_GETPCODEEXECUTABLE

    public static final ElementId ELEM_COMMAND_GETPCODEEXECUTABLE

  - ### COMMAND_GETREGISTER

    public static final int COMMAND_GETREGISTER
    See Also:
      - Constant Field Values

  - ### ELEM_COMMAND_GETREGISTER

    public static final ElementId ELEM_COMMAND_GETREGISTER

  - ### COMMAND_GETREGISTERNAME

    public static final int COMMAND_GETREGISTERNAME
    See Also:
      - Constant Field Values

  - ### ELEM_COMMAND_GETREGISTERNAME

    public static final ElementId ELEM_COMMAND_GETREGISTERNAME

  - ### COMMAND_GETSTRINGDATA

    public static final int COMMAND_GETSTRINGDATA
    See Also:
      - Constant Field Values

  - ### ELEM_COMMAND_GETSTRINGDATA

    public static final ElementId ELEM_COMMAND_GETSTRINGDATA

  - ### COMMAND_GETTRACKEDREGISTERS

    public static final int COMMAND_GETTRACKEDREGISTERS
    See Also:
      - Constant Field Values

  - ### ELEM_COMMAND_GETTRACKEDREGISTERS

    public static final ElementId ELEM_COMMAND_GETTRACKEDREGISTERS

  - ### COMMAND_GETUSEROPNAME

    public static final int COMMAND_GETUSEROPNAME
    See Also:
      - Constant Field Values

  - ### ELEM_COMMAND_GETUSEROPNAME

    public static final ElementId ELEM_COMMAND_GETUSEROPNAME

  - ### ELEM_BLOCKSIG

    public static final ElementId ELEM_BLOCKSIG

  - ### ELEM_CALL

    public static final ElementId ELEM_CALL

  - ### ELEM_GENSIG

    public static final ElementId ELEM_GENSIG

  - ### ELEM_MAJOR

    public static final ElementId ELEM_MAJOR

  - ### ELEM_MINOR

    public static final ElementId ELEM_MINOR

  - ### ELEM_COPYSIG

    public static final ElementId ELEM_COPYSIG

  - ### ELEM_SETTINGS

    public static final ElementId ELEM_SETTINGS

  - ### ELEM_SIG

    public static final ElementId ELEM_SIG

  - ### ELEM_SIGNATUREDESC

    public static final ElementId ELEM_SIGNATUREDESC

  - ### ELEM_SIGNATURES

    public static final ElementId ELEM_SIGNATURES

  - ### ELEM_SIGSETTINGS

    public static final ElementId ELEM_SIGSETTINGS

  - ### ELEM_VARSIG

    public static final ElementId ELEM_VARSIG

  - ### ELEM_SPLITDATATYPE

    public static final ElementId ELEM_SPLITDATATYPE

  - ### ELEM_JUMPTABLEMAX

    public static final ElementId ELEM_JUMPTABLEMAX

  - ### ELEM_NANIGNORE

    public static final ElementId ELEM_NANIGNORE

  - ### ELEM_DATATYPE

    public static final ElementId ELEM_DATATYPE

  - ### ELEM_CONSUME

    public static final ElementId ELEM_CONSUME

  - ### ELEM_CONSUME_EXTRA

    public static final ElementId ELEM_CONSUME_EXTRA

  - ### ELEM_CONVERT_TO_PTR

    public static final ElementId ELEM_CONVERT_TO_PTR

  - ### ELEM_GOTO_STACK

    public static final ElementId ELEM_GOTO_STACK

  - ### ELEM_JOIN

    public static final ElementId ELEM_JOIN

  - ### ELEM_DATATYPE_AT

    public static final ElementId ELEM_DATATYPE_AT

  - ### ELEM_POSITION

    public static final ElementId ELEM_POSITION

  - ### ELEM_VARARGS

    public static final ElementId ELEM_VARARGS

  - ### ELEM_HIDDEN_RETURN

    public static final ElementId ELEM_HIDDEN_RETURN

  - ### ELEM_JOIN_PER_PRIMITIVE

    public static final ElementId ELEM_JOIN_PER_PRIMITIVE

  - ### ELEM_JOIN_DUAL_CLASS

    public static final ElementId ELEM_JOIN_DUAL_CLASS

  - ### ELEM_EXTRA_STACK

    public static final ElementId ELEM_EXTRA_STACK

  - ### ELEM_CONSUME_REMAINING

    public static final ElementId ELEM_CONSUME_REMAINING

  - ### ELEM_UNKNOWN

    public static final ElementId ELEM_UNKNOWN

- ## Constructor Details

  - ### ElementId

    public ElementId(String name, int id)
    Creates an instance of a `ElementId` record class.
    Parameters:
      `name` - the value for the `name` record component
      `id` - the value for the `id` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### name

    public String name()
    Returns the value of the `name` record component.
    Returns:
      the value of the `name` record component

  - ### id

    public int id()
    Returns the value of the `id` record component.
    Returns:
      the value of the `id` record component